VERSION 5.00
Object = "{E7BC34A0-BA86-11CF-84B1-CBC2DA68BF6C}#1.0#0"; "NTSVC.ocx"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "Mscomctl.ocx"
Begin VB.Form ServiceNT 
   Caption         =   "NT Service"
   ClientHeight    =   1335
   ClientLeft      =   1455
   ClientTop       =   1965
   ClientWidth     =   3210
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1479.759
   ScaleMode       =   0  'User
   ScaleWidth      =   3268.63
   Begin MSComctlLib.StatusBar StatusBar 
      Align           =   2  'Align Bottom
      Height          =   270
      Left            =   0
      TabIndex        =   0
      Top             =   1065
      Width           =   3210
      _ExtentX        =   5662
      _ExtentY        =   476
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   2
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
         BeginProperty Panel2 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
   End
   Begin NTService.NTService NTService1 
      Left            =   0
      Top             =   120
      _Version        =   65536
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   0
      DisplayName     =   "ServicioNT"
      Interactive     =   -1  'True
      ServiceName     =   "Simple"
      StartMode       =   2
   End
   Begin VB.Timer Timer 
      Left            =   600
      Top             =   120
   End
   Begin VB.Label Label1 
      Caption         =   "Componente Servicio "
      Height          =   255
      Left            =   1320
      TabIndex        =   1
      Top             =   480
      Width           =   1695
   End
End
Attribute VB_Name = "ServiceNT"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()

On Error GoTo Err_Load
    Dim strDisplayName As String
    Dim bStarted As Boolean
     
    strDisplayName = NTService1.DisplayName
     
    StatusBar.Panels(1).Text = "Cargado"
     
    If Command = "-install" Then
        ' enable interaction with desktop
        NTService1.Interactive = True
         
        If NTService1.Install Then
            Call NTService1.SaveSetting("Parameters", "TimerInterval", "1000")
            MsgBox strDisplayName & " installed successfully"
        Else
            MsgBox strDisplayName & " failed to install"
        End If
        End
    ElseIf Command = "-uninstall" Then
        If NTService1.Uninstall Then
            MsgBox strDisplayName & " uninstalled successfully"
        Else
            MsgBox strDisplayName & " failed to uninstall"
        End If
        End
    ElseIf Command = "-debug" Then
        NTService1.Debug = True
    ElseIf Command <> "" Then
        MsgBox "Invalid command option"
        End
    End If
     
    Timer.Interval = CInt(NTService1.GetSetting("Parameters", "TimerInterval", "2000"))
     
    ' enable Pause/Continue. Must be set before StartService
    ' is called or in design mode
    NTService1.ControlsAccepted = svcCtrlPauseContinue
     
    ' connect service to Windows NT services controller
    NTService1.StartService
    
    Exit Sub
     
Err_Load:
    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)

End Sub

Private Sub NTService1_Continue(Success As Boolean)
On Error GoTo Err_Continue
     
    Timer.Enabled = True
    StatusBar.Panels(1).Text = "Running"
    Success = True
    Call NTService1.LogEvent(svcEventInformation, svcMessageInfo, "Service continued")
     
    Exit Sub
    
Err_Continue:
    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)
End Sub

'Private Sub NTService1_Control(ByVal Event As Long)
'
'On Error GoTo Err_Control
'
'    'StatusBar.SimpleText = NTService1.DisplayName & " Control signal " & Event
'    StatusBar.SimpleText = NTService1.DisplayName & " Control signal " & CStr([Event])
'Err_Control:
'    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)
'
'End Sub

Private Sub NTService1_Pause(Success As Boolean)
On Error GoTo Err_Pause
     
    Timer.Enabled = False
    StatusBar.Panels(1).Text = "Paused"
    Call NTService1.LogEvent(svcEventError, svcMessageError, "Service paused")
    Success = True
     
    Exit Sub
    
Err_Pause:
    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)
End Sub


Private Sub NTService1_Start(Success As Boolean)
On Error GoTo Err_Start
     
    StatusBar.Panels(1).Text = "Running"
    Success = True
    
    Exit Sub
     
Err_Start:
    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)
End Sub


Private Sub NTService1_Stop()
On Error GoTo Err_Stop
     
    StatusBar.Panels(1).Text = "Stopped"
    Unload Me
     
    Exit Sub
    
Err_Stop:
    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)
End Sub


Private Sub Timer_Timer()
On Error GoTo Err_Timer
    StatusBar.Panels(2).Text = Format(Now(), "hh:mm:ss")
    
    Exit Sub

Err_Timer:
    Call NTService1.LogEvent(svcMessageError, svcEventError, "[" & Err.Number & "] " & Err.Description)
End Sub

